<html>
<head>
<title>OgreSearchOps.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">OgreSearchOps.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string.h&gt;</code><br/>
<code>#include &lt;sys/types.h&gt;</code><br/>
<code>#include &lt;sys/stat.h&gt;</code><br/>
<code>#include &lt;stdlib.h&gt;</code><br/>
<code>#include &quot;<a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>&quot;</code><br/>
<code>#include &lt;dirent.h&gt;</code><br/>
<code>#include &lt;unistd.h&gt;</code><br/>
<code>#include &lt;fnmatch.h&gt;</code><br/>
</div>
<p><a href="OgreSearchOps_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__finddata__t.html">_finddata_t</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#a4ef846a85ddb694043d288b6746a9876">_A_NORMAL</a>&#160;&#160;&#160;0x00  /* Normalfile-Noread/writerestrictions */</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#a627d0ba73ada4393b872e041bee960b4">_A_RDONLY</a>&#160;&#160;&#160;0x01  /* Read only file */</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#a323473f813bf2bc807c912831011c58e">_A_HIDDEN</a>&#160;&#160;&#160;0x02  /* Hidden file */</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#ad73476fd833652008c0d73896c8f9d5a">_A_SYSTEM</a>&#160;&#160;&#160;0x04  /* System file */</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#a2a05b90a3f8ec8a95a0b8cb11bb3fecc">_A_ARCH</a>&#160;&#160;&#160;0x20  /* Archive file */</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#a4a81752270bddedb014a705edc23a48b">_A_SUBDIR</a>&#160;&#160;&#160;0x10  /* Subdirectory */</td></tr>
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">intptr_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#ad6e6e684d0f4464fab567dea1f33a8e0">_findfirst</a> (const char *pattern, struct <a class="el" href="struct__finddata__t.html">_finddata_t</a> *data)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#a59e54b8a47a88148f01e0ef9ab742f7c">_findnext</a> (intptr_t id, struct <a class="el" href="struct__finddata__t.html">_finddata_t</a> *data)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#a4b3730431331a9d8053887e75107e430">_findclose</a> (intptr_t id)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a2a05b90a3f8ec8a95a0b8cb11bb3fecc"></a><!-- doxytag: member="OgreSearchOps.h::_A_ARCH" ref="a2a05b90a3f8ec8a95a0b8cb11bb3fecc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreSearchOps_8h.html#a2a05b90a3f8ec8a95a0b8cb11bb3fecc">_A_ARCH</a>&#160;&#160;&#160;0x20  /* Archive file */</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSearchOps_8h_source.html#l00064">64</a> of file <a class="el" href="OgreSearchOps_8h_source.html">OgreSearchOps.h</a>.</p>

</div>
</div>
<a class="anchor" id="a323473f813bf2bc807c912831011c58e"></a><!-- doxytag: member="OgreSearchOps.h::_A_HIDDEN" ref="a323473f813bf2bc807c912831011c58e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreSearchOps_8h.html#a323473f813bf2bc807c912831011c58e">_A_HIDDEN</a>&#160;&#160;&#160;0x02  /* Hidden file */</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSearchOps_8h_source.html#l00062">62</a> of file <a class="el" href="OgreSearchOps_8h_source.html">OgreSearchOps.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4ef846a85ddb694043d288b6746a9876"></a><!-- doxytag: member="OgreSearchOps.h::_A_NORMAL" ref="a4ef846a85ddb694043d288b6746a9876" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreSearchOps_8h.html#a4ef846a85ddb694043d288b6746a9876">_A_NORMAL</a>&#160;&#160;&#160;0x00  /* Normalfile-Noread/writerestrictions */</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSearchOps_8h_source.html#l00060">60</a> of file <a class="el" href="OgreSearchOps_8h_source.html">OgreSearchOps.h</a>.</p>

</div>
</div>
<a class="anchor" id="a627d0ba73ada4393b872e041bee960b4"></a><!-- doxytag: member="OgreSearchOps.h::_A_RDONLY" ref="a627d0ba73ada4393b872e041bee960b4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreSearchOps_8h.html#a627d0ba73ada4393b872e041bee960b4">_A_RDONLY</a>&#160;&#160;&#160;0x01  /* Read only file */</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSearchOps_8h_source.html#l00061">61</a> of file <a class="el" href="OgreSearchOps_8h_source.html">OgreSearchOps.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4a81752270bddedb014a705edc23a48b"></a><!-- doxytag: member="OgreSearchOps.h::_A_SUBDIR" ref="a4a81752270bddedb014a705edc23a48b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreSearchOps_8h.html#a4a81752270bddedb014a705edc23a48b">_A_SUBDIR</a>&#160;&#160;&#160;0x10  /* Subdirectory */</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSearchOps_8h_source.html#l00066">66</a> of file <a class="el" href="OgreSearchOps_8h_source.html">OgreSearchOps.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad73476fd833652008c0d73896c8f9d5a"></a><!-- doxytag: member="OgreSearchOps.h::_A_SYSTEM" ref="ad73476fd833652008c0d73896c8f9d5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreSearchOps_8h.html#ad73476fd833652008c0d73896c8f9d5a">_A_SYSTEM</a>&#160;&#160;&#160;0x04  /* System file */</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSearchOps_8h_source.html#l00063">63</a> of file <a class="el" href="OgreSearchOps_8h_source.html">OgreSearchOps.h</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a4b3730431331a9d8053887e75107e430"></a><!-- doxytag: member="OgreSearchOps.h::_findclose" ref="a4b3730431331a9d8053887e75107e430" args="(intptr_t id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="OgreSearchOps_8h.html#a4b3730431331a9d8053887e75107e430">_findclose</a> </td>
          <td>(</td>
          <td class="paramtype">intptr_t&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad6e6e684d0f4464fab567dea1f33a8e0"></a><!-- doxytag: member="OgreSearchOps.h::_findfirst" ref="ad6e6e684d0f4464fab567dea1f33a8e0" args="(const char *pattern, struct _finddata_t *data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">intptr_t <a class="el" href="OgreSearchOps_8h.html#ad6e6e684d0f4464fab567dea1f33a8e0">_findfirst</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="struct__finddata__t.html">_finddata_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a59e54b8a47a88148f01e0ef9ab742f7c"></a><!-- doxytag: member="OgreSearchOps.h::_findnext" ref="a59e54b8a47a88148f01e0ef9ab742f7c" args="(intptr_t id, struct _finddata_t *data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="OgreSearchOps_8h.html#a59e54b8a47a88148f01e0ef9ab742f7c">_findnext</a> </td>
          <td>(</td>
          <td class="paramtype">intptr_t&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="struct__finddata__t.html">_finddata_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
